Bug 214513 - gfs2_convert must reject file systems with block size != 4K
gfs2_convert must reject file systems with block size != 4K
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Peterson
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 17:24 EST by Robert Peterson
Modified: 2010-01-11 22:36 EST (History)
2 users (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 21:12:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Peterson 2006-11-07 17:24:52 EST
Description of problem:

In GFS, users could specify (with gfs_mkfs -b X) any block size, but
GFS2 is only designed for 4K blocks.  If gfs2_convert tries to convert
a GFS1 file system with blocks other than 4K, the resulting file
system will be unusable and will likely cause a kernel panic.

Therefore, gfs2_convert needs to reject GFS1 file systems
with alternate block sizes.

Version-Release number of selected component (if applicable):
RHEL5

How reproducible:
Always

Steps to Reproduce:
1. gfs_mkfs -b 8192 ... /dev/your/device
2. gfs2_convert /dev/your/device
3. mount -tgfs2 /dev/your/device /mnt/gfs2
4. mkdir /mnt/gfs2/anything or touch /mnt/gfs2/anything

Actual results:
Unknown--kernel panic likely

Expected results:
gfs2_convert should give a message that it can't be done and abort.
Comment 2 Robert Peterson 2006-11-09 11:34:16 EST
Code fix committed to CVS HEAD and RHEL5 but not RHEL50 (RHEL5 beta 2)
Comment 3 Robert Peterson 2006-11-15 15:26:54 EST
Code fix committed to CVS RHEL50 branch.
Comment 4 RHEL Product and Program Management 2006-12-22 21:12:49 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.